unit Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls, MRVCamView,
  MRVType, MRVCamera, MRVCamControl, MRVFFMpeg;

type
  TFormMain = class(TForm)
    Panel1: TPanel;
    ButtonConnect: TButton;
    ButtonDisconnect: TButton;
    RVCamView1: TRVCamView;
    RVCamera1: TRVCamera;
    Label1: TLabel;
    Label2: TLabel;
    procedure ButtonDisconnectClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure RVCamView1DblClick(Sender: TObject);
    procedure ButtonConnectClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  FormMain: TFormMain;

implementation

{$R *.dfm}

procedure TFormMain.ButtonConnectClick(Sender: TObject);
begin
  if RVCamera1.IsSupportedGStreamer then
  begin
    Label1.Caption := 'GS=OK'
  end;
  if RVCamera1.IsSupportedFFMPEG then
  begin
    Label2.Caption := 'FFMPEG=OK'
  end;
  RVCamera1.PlayVideoStream;
end;

procedure TFormMain.ButtonDisconnectClick(Sender: TObject);
begin
 if RVCamera1.IsVideoPlaying then begin
    RVCamera1.Abort;
    RVCamera1.WaitForVideo;
    if Application.Terminated then
      exit;
  end;
end;

procedure TFormMain.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 if RVCamera1.IsVideoPlaying then begin
    RVCamera1.Abort;
    RVCamera1.WaitForVideo;
    if Application.Terminated then
      exit;
  end;
end;


procedure TFormMain.RVCamView1DblClick(Sender: TObject);
begin
  FormMain.Close;
end;

end.
